## xelb 0.18

=== Makefile ===
PROTO_PATH := ../xcb-proto/src

EMACS_BIN := emacs -Q

EXTENSIONS := bigreq composite damage dpms dri2 dri3 ge glx present randr \
record render res screensaver shape shm sync xc_misc xevie xf86dri \
xf86vidmode xfixes xinerama xinput xkb xprint xselinux xtest xvmc xv

EXT_LIBS = $(addprefix xcb-,$(addsuffix .el,$(EXTENSIONS)))
LIBS = xcb-xproto.el $(EXT_LIBS)

all: clean $(LIBS)

xcb-%.el: $(PROTO_PATH)/%.xml
	@echo -n "\n"Generating $@...
	@$(EMACS_BIN) --script ./el_client.el $< > $@

$(EXT_LIBS): xcb-xproto.el

xcb-composite.el: xcb-xfixes.el
xcb-damage.el: xcb-xfixes.el
xcb-present.el: xcb-randr.el xcb-xfixes.el xcb-sync.el
xcb-randr.el: xcb-render.el
xcb-xfixes.el: xcb-render.el xcb-shape.el
xcb-xinput.el: xcb-xfixes.el
xcb-xvmc.el: xcb-xv.el
xcb-xv.el: xcb-shm.el

.PHONY: clean

clean:
	@rm -vf $(LIBS)

=== debian/changelog ===
xelb (0.18-4) unstable; urgency=medium

  * add upstream patch "speed up large string"

 -- Martin <debacle@debian.org>  Thu, 19 Jan 2023 17:42:52 +0000

xelb (0.18-3) unstable; urgency=medium

  * workaround: ignore "length" element (Closes: #1017294)

 -- Martin <debacle@debian.org>  Sun, 14 Aug 2022 09:27:17 +0000

xelb (0.18-2) unstable; urgency=medium

  * Source-only upload

 -- Martin <debacle@debian.org>  Sun, 28 Feb 2021 20:17:38 +0000

xelb (0.18-1) unstable; urgency=medium

  * Initial package (Closes: #983225)
  
 -- Martin <debacle@debian.org>  Mon, 22 Feb 2021 08:20:15 +0000

## xelb 0.18+git20240212.67ae522

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,6 @@
-PROTO_PATH := ../xcb-proto/src
+PROTO_PATH := /usr/share/xcb
 
-EMACS_BIN := emacs -Q
-
-EXTENSIONS := bigreq composite damage dpms dri2 dri3 ge glx present randr \
+EXTENSIONS := bigreq composite damage dbe dpms dri2 dri3 ge glx present randr \
 record render res screensaver shape shm sync xc_misc xevie xf86dri \
 xf86vidmode xfixes xinerama xinput xkb xprint xselinux xtest xvmc xv
 
@@ -13,7 +11,7 @@
 
 xcb-%.el: $(PROTO_PATH)/%.xml
 	@echo -n "\n"Generating $@...
-	@$(EMACS_BIN) --script ./el_client.el $< > $@
+	@./xelb-gen $< > $@
 
 $(EXT_LIBS): xcb-xproto.el

=== debian/changelog ===
xelb (0.18+git20240212.67ae522-1) unstable; urgency=medium

  * new upstream snapshot (Closes: #1064756)
  * drop all patches (applied upstream)

 -- Martin <debacle@debian.org>  Mon, 26 Feb 2024 02:43:19 +0000

=== debian/control ===
Source: xelb
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa, xcb-proto
Standards-Version: 4.5.0
Homepage: https://github.com/ch11ng/xelb
Vcs-Git: https://salsa.debian.org/emacsen-team/xelb.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/xelb

Package: elpa-xelb
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: pure Elisp implementation of X11 protocol
 XELB (X protocol Emacs Lisp Binding) is a pure Elisp
 implementation of X11 protocol based on the XML description
 files from XCB project. It features an object-oriented API and
 permits a certain degree of concurrency. It should enable you to
 implement some low-level X11 applications. Please refer to
 xelb.el for more details.

## xelb 0.19

=== debian/changelog ===
xelb (0.19-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:40:13 +0900

xelb (0.19-1) unstable; urgency=medium

  * new upstream release
  * new homepage, new maintainers

 -- Martin <debacle@debian.org>  Thu, 04 Jul 2024 21:56:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-elpa, xcb-proto
 Standards-Version: 4.5.0
-Homepage: https://github.com/ch11ng/xelb
+Rules-Requires-Root: no
+Homepage: https://github.com/emacs-exwm/xelb
 Vcs-Git: https://salsa.debian.org/emacsen-team/xelb.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/xelb

## xelb 0.20

=== debian/changelog ===
xelb (0.20-1) unstable; urgency=medium

  * new upstream release
  * add patch to use site file, needed to load compat on Debian

 -- Martin <debacle@debian.org>  Tue, 31 Dec 2024 13:34:51 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,10 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Martin <debacle@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-elpa, xcb-proto
+Build-Depends: debhelper-compat (= 13),
+	dh-elpa,
+	elpa-compat,
+	xcb-proto,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/emacs-exwm/xelb
@@ -12,7 +15,8 @@
 
 Package: elpa-xelb
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}
+Depends: ${elpa:Depends},
+	${misc:Depends}
 Recommends: emacs
 Enhances: emacs
 Description: pure Elisp implementation of X11 protocol
